# 贵阳禁毒检材仓库新增需求文档

## 20241107-1 毒品库

### 1 需求描述

![](assets/835abc24446bf7e81b9685eeb4105c29394bec9d.jpg)

### 2 数据库表的设计

新增了三个表 `b_drug_case_info`、`b_drug_material_info`、`b_drug_usage_record`。

#### 2.1 `b_drug_case_info` 案件关联表

![](assets/850ff5cacc0ebaf97d46ced58be9efb7b262d509.png)



#### 2.2 `b_drug_material_info` 毒品库中的毒品检材信息

![](assets/367ed2ce360a3eeda60c708b0c6fc49e8e97b9da.png)



#### 2.3  `b_drug_usage_record` 毒品检材的领用归还记录表

![](assets/6674234d9c9c2ce3bcf9649fd9afc3c6bdb41496.png)



### 3 流程描述

进入毒品库系统

![](assets/2024-11-21-14-51-10-image.png)

![](assets/2024-11-21-14-52-25-image.png)

![](assets/2024-11-21-14-53-05-image.png)

#### 3.1 毒品检材入库

##### 3.1.1 入库

1. 进入毒品检材列表
   
   ![](assets/2024-11-21-14-55-30-image.png)

2. 新增毒品入库，填写毒品案件关联信息
   
   ![](assets/2024-11-21-15-00-19-image.png)

3. 录入好案件后，直接填入检材信息
   
   ![](assets/2024-11-21-15-03-20-image.png)
   
   继续录入检材则需要点击复制按钮进行添加
   
   ![](assets/2024-11-21-15-05-59-image.png)

4. 点击下方的保存毒品列表后，进入入库界面，选择位置后点击存入
   
   ![](assets/2024-11-21-15-07-41-image.png)

##### 3.1.1.2 毒品条码打印

点击条码打印按钮，进入条码打印界面，选择要打印的检材打印

![](assets/2024-11-21-15-10-55-image.png)



#### 3.2 毒品出库

进入毒品出库模块，出现的界面，左侧是可出库列表，右侧是当前点击的检材的存储位置。

![](assets/2024-11-21-15-13-17-image.png)

##### 3.2.1 出库

点击出库按钮，在弹框中填入出库信息（目前设计是不需要审核的，只需要填入出库信息就可以出库使用）

![](assets/2024-11-21-15-30-46-image.png)



##### 3.2.2 出库记录

查看出库记录

![](assets/2024-11-21-15-32-40-image.png)

出库记录列表

![](assets/2024-11-21-15-33-10-image.png)

记录详情

![](assets/2024-11-21-15-33-41-image.png)



#### 3.3 毒品统计

当前统计页面只有上方的折线图和柱状图有效，下方的需求还未确认，并未实现

![](assets/2024-11-21-15-34-38-image.png)
