package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "DrugHandingOverReviewDTO", description = "受理单位 是否同意接收送缴申请的请求DTO")
public class DrugHandingOverReviewDTO {

    @ApiModelProperty("主键标识")
    private String id;

    @ApiModelProperty("是否通过， 1 通过 | -1 不通过")
    private Integer isPass;

    @ApiModelProperty("同意/拒绝 原因")
    private String reason;

}
