package digital.laboratory.platform.imr.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;


@ApiModel
@Data
public class UpdateStorageDateDTO {


    @ApiModelProperty(value = "id--主键id")
    private String id;

    @ApiModelProperty(value = "存放期限")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate storageDate;
}
