package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.imr.entity.DestructionPublicity;
import digital.laboratory.platform.imr.vo.DestructionPublicityVO;
import digital.laboratory.platform.imr.vo.OutSampleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-23
 * @describe  Mapper 类
 */
@Mapper
public interface DestructionPublicityMapper extends BaseMapper<DestructionPublicity> {

    //List<OutSampleVO> getPublicityDetail(String id);

    /**
     * 查询单个vo
     * @param page
     * @param qw
     * @return
     */


    /*
    分页
     */
    IPage<DestructionPublicityVO> getDestructionPublicityPage(@Param("page") Page<DestructionPublicity> page, @Param(Constants.WRAPPER) QueryWrapper<DestructionPublicity> qw);

    DestructionPublicityVO getPublicityVO(String id);

}