package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.imr.entity.DrugUsageRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.imr.query.DrugDepotsQuery;
import digital.laboratory.platform.imr.vo.DrugMaterialInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_usage_record(毒品检材的领用归还记录表)】的数据库操作Mapper
* @createDate 2024-11-11 11:40:42
* @Entity digital.laboratory.platform.imr.entity.DrugUsageRecord
*/
@Mapper
public interface DrugUsageRecordMapper extends BaseMapper<DrugUsageRecord> {

    IPage<DrugMaterialInfoVO> queryUsageRecordVOPage(IPage<DrugMaterialInfoVO> page, @Param("query") DrugDepotsQuery query);

}




