package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.imr.entity.SampleApplyDetailed;
import digital.laboratory.platform.imr.vo.ApplySampleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-04-17
 * @describe  Mapper 类
 */
@Mapper
public interface SampleApplyDetailedMapper extends BaseMapper<SampleApplyDetailed> {

    /**
     * 申请id获取样本详情
     * @param id
     * @return
     */
    List<ApplySampleVO> getDetail(String id);
}
