package digital.laboratory.platform.imr.service;

import digital.laboratory.platform.imr.query.DrugStatisticQuery;
import digital.laboratory.platform.imr.vo.DrugStatisticVO;

/**
 * 毒品库送缴量统计 服务处接口
 */
public interface DrugHandingOverStatisticService {
    /**
     * 获取统计图的数据， 根据时间范围, 送缴单位，毒品种类返回数据
     * @param query
     * @return
     */
    DrugStatisticVO statistic(DrugStatisticQuery query);
}
