package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.SampleOutboundRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 样本出库记录vo
 */
@Data
@ApiModel(value = "样本出库记录vo")
public class OutboundRecordVO extends SampleOutboundRecord {

    @ApiModelProperty(value = "领取人")
    private String recipientName;


    @ApiModelProperty(value="样本编号")
    private String sampleNo;

    @ApiModelProperty(value="状态码")
    private Integer statusCode;

}
