package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.SampleOutWarehouseApply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 出库申请VO
 */

@Data
@ApiModel(value = "领用出库申请vo")
public class SampleOutWarehouseApplyVO extends SampleOutWarehouseApply {
    /**
     * 申请人姓名
     */

    @ApiModelProperty(value="申请人")
    private String applicantName ;

    @ApiModelProperty(value="数量")
    private Long amount ;


    @ApiModelProperty(value="状态码")
    private Integer statusCode ;


    /**
     * 鉴定人姓名
     */
    @ApiModelProperty(value="鉴定人姓名")
    private String assigneeName ;

    /**
     * 出库申请样本信息描述(部分简单信息)
     */

    @ApiModelProperty(value="出库申请样本信息描述(部分简单信息)")
    List<OutSampleVO> sampleList;



    @ApiModelProperty(value="取检码获取的格子vo")
    List<CellVO> CellVOS;
}
