package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.SampleInboundAndOutboundTable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class SampleTableVO extends SampleInboundAndOutboundTable {


    @ApiModelProperty(value = "鉴定人姓名")
    private String appraiserName;
    @ApiModelProperty(value = "检材管理员")
    private String imName;
    @ApiModelProperty(value = "存放人姓名")
    private String recipientName;


    @ApiModelProperty(value = "入库监督人")
    private String inboundSupervisorName;


    @ApiModelProperty(value = "出库监督人")
    private String outboundSupervisorName;

}
