package digital.laboratory.platform.imr.dto;


import digital.laboratory.platform.imr.dto.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "按时间或委托生成检材出入库登记表")
public class PrintTableDTO extends BaseQuery {

    @ApiModelProperty(value = "打印筛选条件1.委托/任务;2.时间")
    private Integer type;


    @ApiModelProperty(value = "委托/任务id")
    private String EventId;

    @ApiModelProperty(value = "mf--毛发/wt--委托/ws--污水--其他....")
    private String source;


    @ApiModelProperty(value = "事件名称")
    private String EventName;

}
