package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 审核审批DTO
 */
@Data
@ApiModel(value = "ReviewApprovalDTO",description = "审核审批带头")
public class ReviewApprovalDTO {

    /**
     * 申请id
     */
    @ApiModelProperty(value = "申请id")
    private String applyId;


    @ApiModelProperty(value = "可对单个样本进行审核审批的dto")
    private List<ReviewSampleDetail> reviewSampleDetails;

    /**
     * 审核审批状态(枚举)
     */
    @ApiModelProperty(value = "审核审批状态:通过/不通过")
    private Integer status;

    /**
 * 意见
     */

    @ApiModelProperty(value = "意见")
    private String opinion;
}
