package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 11:59:56
 * @describe  实体类
 */
@Data
@TableName(value = "destruction_detail", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "销毁公示明细实体类")
public class DestructionDetail extends BaseEntity {

    /**
     * 主键id
     */
    @TableId
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 销毁公示id
     */
    @ApiModelProperty(value="销毁公示id")
    private String destructionId;

    /**
     * 销毁样本id
     */
    @ApiModelProperty(value="销毁样本id")
    private String sampleId;






}
