package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.imr.entity.DrugCaseInfo;
import digital.laboratory.platform.imr.entity.DrugMaterialInfo;
import digital.laboratory.platform.imr.vo.DrugCaseInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_case_info(毒品库中关联的案事件信息)】的数据库操作Mapper
* @createDate 2024-11-07 12:04:42
* @Entity digital.laboratory.platform.imr.entity.DrugCaseInfo
*/
@Mapper
public interface DrugCaseInfoMapper extends BaseMapper<DrugCaseInfo> {

    IPage<DrugCaseInfoVO> queryDrugCaseInfoVOPage(IPage<DrugCaseInfoVO> page, @Param(Constants.WRAPPER) Wrapper<DrugCaseInfo> wrapper);

}




