package digital.laboratory.platform.imr.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class BaseSampleVO {
    /**
     * 样本id
     */

    @ApiModelProperty(value="storage表id--生成出库清单时才使用")
    private String id;


    @ApiModelProperty(value="样本id--不是主键id")
    private String sampleId;

    /**
     * 样本编号
     */

    private String sampleNo;

    /**
     * 样本名称
     */
    private String name;


    /**
     * 样本类型
     */
    private String sampleType;


    /**
     *类别
     */
    private String category;

    /**
     * 存储方式
     */
    private String storageMethod;

    /**
     * 样本状态
     */
    private Integer sampleStatus;


    /**
     * 样本存储位置(看情况显示)
     */
    private String storageLocation;

    /**
     * 性状
     */
    private String form;

}
